package theodolite.commons.workloadgeneration.functions;

/**
 * This interface describes a function that takes meta information from a string (e.g. an ID) and
 * produces an object of type T.
 *
 * @param <T> the type of the objects that will be generated by the function.
 */
@FunctionalInterface
public interface MessageGenerator<T> {

  T generateMessage(final String key);

}
